## ETableHeaderItem

ETableHeaderItem

## Functions

void | ethi_change_sort_state ()

## Properties

ETableHeader * | ETableHeader | Write
gchar * | dnd-code | Read / Write
PangoFontDescription * | font-desc | Write
ETableHeader * | full-header | Read / Write
ETableSortInfo * | sort-info | Write
ETable * | table | Write
ETree * | tree | Write

## Signals

void | button-pressed | Run Last

## Types and Values

struct | ETableHeaderItem
enum | ETableHeaderItemSortFlag

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GnomeCanvasItem
                ╰── ETableHeaderItem

## Description

## Functions

### ethi_change_sort_state ()

    void
    ethi_change_sort_state (ETableHeaderItem *ethi,
                            ETableCol *col,
                            ETableHeaderItemSortFlag flag);

## Types and Values

### struct ETableHeaderItem

    struct ETableHeaderItem;

### enum ETableHeaderItemSortFlag

#### Members

E_TABLE_HEADER_ITEM_SORT_FLAG_NONE |  |
E_TABLE_HEADER_ITEM_SORT_FLAG_ADD_AS_FIRST |  |
E_TABLE_HEADER_ITEM_SORT_FLAG_ADD_AS_LAST |  |

## Property Details

### The `“ETableHeader”` property

      “ETableHeader”             ETableHeader *

Flags: Write

### The `“dnd-code”` property

      “dnd-code”                 gchar *

Flags: Read / Write

Default value: NULL

### The `“font-desc”` property

      “font-desc”                PangoFontDescription *

Flags: Write

### The `“full-header”` property

      “full-header”              ETableHeader *

Flags: Read / Write

### The `“sort-info”` property

      “sort-info”                ETableSortInfo *

Flags: Write

### The `“table”` property

      “table”                    ETable *

Flags: Write

### The `“tree”` property

      “tree”                     ETree *

Flags: Write

## Signal Details

### The `“button-pressed”` signal

    void
    user_function (ETableHeaderItem *etableheaderitem,
                   GdkEvent         *arg1,
                   gpointer          user_data)

Flags: Run Last